Skip to main content

Generate OAuth URL

GET 

/api/xero/authorize

Generate a Xero OAuth 2.0 authorization URL to initiate the connection flow. Redirect the user to the returned URL to authenticate with Xero.

Not yet available to API tokens

This endpoint currently requires session authentication; Personal Access Token scope support is in progress.

Authentication: Requires Bearer token.

Reconnecting with a different Xero organisation than the one this integration already syncs is refused and nothing is overwritten: the callback refuses the connection with "This Xero integration is connected to the organisation "<current>", but you signed in to the organisation "<other>". The connection was not changed. …". To move to another organisation, remove the integration and add a new one. (for example, a new set of books).

Request​

Responses​

OK

Response Headers
    Content-Type